using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("附件")]
    public class T_FO_LEADER_WELL_RECORD_FILE : MesEntityBase
    {
        [Description("主表ID")]
        [DataFieldForeignKey("Nav_Record", "Nav_Files")]
        public Guid LEADER_WELL_RECORD_ID { get; set; }

        [Description("导航属性：主表")]
        public virtual T_FO_LEADER_WELL_RECORD Nav_Record { get; set; }

        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("图片文件ID")]
        public Guid IMG_FILE_ID { get; set; }



        [Description("导航：图片文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
